Bug 1471598 - Review Request: grub-theme-vimix - a beautiful theme for grub2
Review Request: grub-theme-vimix - a beautiful theme for grub2
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2017-07-16 23:56 EDT by Junwei Fang
Modified: 2017-11-16 15:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Junwei Fang 2017-07-16 23:56:40 EDT
Spec URL: http://mirrors.zhanfang.org/SRPMS/g/grub-theme-vimix-0.1.spec
SRPM URL: http://mirrors.zhanfang.org/SRPMS/g/grub-theme-vimix-0.1-1.src.rpm
Description: grub-them-vimix is n beautiful grub theme.
Fedora Account System Username: junwei
Comment 1 Junwei Fang 2017-07-17 01:04:43 EDT
task info:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20568445
Comment 3 Junwei Fang 2017-07-17 01:12:05 EDT
This is my first package, and I'm seeking a sponsor. Thank you.
Comment 4 Artur Iwicki 2017-07-19 06:29:10 EDT
>Group: Applications
>BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
The Group: and BuildRoot: tags should not be used. 
https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

>License: GPL
You need to specify the licence version.
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#GPL_and_LGPL

>Source0: %{name}-%{version}.tar.gz
Downloadable URLs are preferred. If not possible, have a comment describing how to generate the tarball.
https://fedoraproject.org/wiki/Packaging:SourceURL

>grub2-mkconfig
I believe this calls for a "Requires: grub2-tools".
Comment 5 Fedora End Of Life 2017-11-16 14:18:30 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.